summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBruno Haible <bruno@clisp.org>2023-04-20 19:03:27 +0200
committerBruno Haible <bruno@clisp.org>2023-04-20 19:03:27 +0200
commit60e3e2105814c20cd2cd3dd1f9d20f254e34d81b (patch)
tree954e9eb448b78846d5696bf555eceba92b601041
parent17970797ba2c8ea455043fd6b6e108b7540b544a (diff)
downloadgnulib-60e3e2105814c20cd2cd3dd1f9d20f254e34d81b.tar.gz
readtokens tests: Fix test failure on mingw.
* tests/test-readtokens.sh: Transform CRLF to LF in the output, before comparing with the expected output.
-rw-r--r--ChangeLog4
-rwxr-xr-xtests/test-readtokens.sh9
2 files changed, 10 insertions, 3 deletions
diff --git a/ChangeLog b/ChangeLog
index 42b727f88c..4c21a9730e 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,5 +1,9 @@
2023-04-20 Bruno Haible <bruno@clisp.org>
+ readtokens tests: Fix test failure on mingw.
+ * tests/test-readtokens.sh: Transform CRLF to LF in the output, before
+ comparing with the expected output.
+
parse-duration tests: Fix test failure on mingw.
* tests/test-parse-duration.sh: Transform CRLF to LF in the output,
before analyzing the output.
diff --git a/tests/test-readtokens.sh b/tests/test-readtokens.sh
index 4c7821ff7e..d0af2590a6 100755
--- a/tests/test-readtokens.sh
+++ b/tests/test-readtokens.sh
@@ -7,17 +7,20 @@ ${CHECKER} test-readtokens || fail=1
# Simplest case.
echo a:b:c: > exp || fail=1
-printf a:b:c | ${CHECKER} test-readtokens : > out 2>&1 || fail=1
+printf a:b:c | ${CHECKER} test-readtokens : > tmp 2>&1 || fail=1
+LC_ALL=C tr -d '\r' < tmp > out || fail=1
compare exp out || fail=1
# Use NUL as the delimiter.
echo a:b:c: > exp || fail=1
-printf 'a\0b\0c' | ${CHECKER} test-readtokens '\0' > out 2>&1 || fail=1
+printf 'a\0b\0c' | ${CHECKER} test-readtokens '\0' > tmp 2>&1 || fail=1
+LC_ALL=C tr -d '\r' < tmp > out || fail=1
compare exp out || fail=1
# Two delimiter bytes, and adjacent delimiters in the input.
echo a:b:c: > exp || fail=1
-printf a:-:b-:c:: | ${CHECKER} test-readtokens :- > out 2>&1 || fail=1
+printf a:-:b-:c:: | ${CHECKER} test-readtokens :- > tmp 2>&1 || fail=1
+LC_ALL=C tr -d '\r' < tmp > out || fail=1
compare exp out || fail=1
Exit $fail